Subject: Re: Rebasing stgit stacks

From: Theodore Tso <[email-masked]>
Date: Sat, 27 Jan 2007 23:33:12 -0500

On Mon, Jan 22, 2007 at 10:58:41PM +0000, Catalin Marinas wrote:
> StGIT stacks are a series of volatile commits (commits) at the top of
> a branch. The idea when I started writing this tool was that a series
> of applied patches would lead to the head of the current branch. The
> branch and stack are tightly coupled and you cannot simply change the
> parent branch the stack is based on (not from a technical point but
> rather from conception one).

Well, a typical use case for me is:

	stg branch master
	git pull .
	stg branch 2.6.20-rc5
	stg export -d /tmp/temp-stack
	stg branch master
	stg branch -C 2.6.20-rc6
	stg import -s /tmp/temp-stack/series 

That's because I want to keep the original patch series for
2.6.20-rc5, but I also want rebase the patch set to 2.6.20-rc6.  Is
there a better way of doing this?  

						- Ted